Page 2 of 2

Re: Adding Debian testing repositories to LMDE 2

Posted: Sat Nov 11, 2017 6:06 am
by Lucap
DOH! <FacePalm>

I wrongly thought that unstable and testing referred to exactly the same base so that didn't help while reading about security patches.

→ experimental → unstable → testing → stable Jessie , Stretch , Sid

All these different references seems to bring me out in technological dyslexia. :P

Re: Adding Debian testing repositories to LMDE 2

Posted: Sat Nov 11, 2017 8:02 am
by xenopeek
oldstable - The previous stable release (Jessie).
stable - The current stable release (Stretch).
testing - The next generation release (Buster).
unstable - The unstable development release (Sid), where new or updated packages are introduced.
from: https://wiki.debian.org/DebianReleases# ... positories

Unstable is always called Sid. Once testing becomes stable, stable will be called Buster, oldstable Stretch and Jessie gets retired.

You can use both the release cycle and release name in your repositories configuration. So you can configure a repository on "testing" and that will into perpetuity refer to the current testing release. You can also use "buster", which while currently referring to the exact same packages as "testing" would, it would shift to point to the packages in "stable" repository once Buster is released as stable. There's a case for both but yeah, this can get confusing :-)

Re: Adding Debian testing repositories to LMDE 2

Posted: Tue Dec 19, 2017 8:02 am
by Lucap
Well that just sucks , this is not going to be as easy as i thought. :(

Trying to add things like MPV - Gnome MPV it can't pull missing dependencies and there is loads of Non-free and contrib stuff missing even if you try and add the commands to the .list

Re: Adding Debian testing repositories to LMDE 2

Posted: Sun Mar 11, 2018 6:38 am
by kimarite
Hi xenopeek,

Only for the sake of completeness is information, self-experience. I mean, the experimental mirror (Debian) can not be used with the apt-pinning method, but no priority can be given. Of course, the testing mirror is more than enough for newer packages, but as an idea, the experimental mirror may arise. :)

Re: Adding Debian testing repositories to LMDE 2

Posted: Mon May 07, 2018 12:51 pm
by bustersid
Hi xenopeek,

first at all, thank u for that TUT.

The Problem began at this stage...

sudo apt policy remmina
sudo apt install -t testing remmina

after that, i had no working GUI anymore.
Nevertheless, i fixed it somehow. GUI is available.

But now it seems to me, i have a hybrid System running.
Maybe u can help me out of this.


Thanx in advise.

Re: Adding Debian testing repositories to LMDE 2 (outdated, do not use)

Posted: Mon May 07, 2018 1:28 pm
by xenopeek
I've updated the topic title and the tutorial itself to make clear it should no longer be used.

This is an older tutorial and won't work correctly without changes today. That's because at the time of writing this tutorial the Jessie repository was Debian stable and the Stretch repository was Debian testing. LMDE 2 is based on Jessie. However, since mid last year Jessie was relegated to Debian old-stable, Stretch was promoted to Debian stable and Buster became the new repository for Debian testing. Where in the tutorial it says "testing" or "stable", that no longer is correct and will not give desired results.

Do not use this tutorial without adapting it to current situation. I'll provide a new tutorial once LMDE 3 is released and will write it such that it is more future proof than this tutorial has proven to be.

Re: Adding Debian testing repositories to LMDE 2 (outdated, do not use)

Posted: Mon May 07, 2018 2:40 pm
by bustersid
Hi xenopeek,

i do thank u for that replay.

Is there someone at the Mint Community available, who can tell me, where to get fresh updates for cinnamon desktop and all theirs dependencies?

bg

Re: Adding Debian testing repositories to LMDE 2 (outdated, do not use)

Posted: Mon May 07, 2018 2:53 pm
by xenopeek
Probably easiest to wait for LMDE 3. Cinnamon 3.8 requires a higher Gtk version than is available on LMDE 2. Trying to upgrade the Gtk version on LMDE 2 will likely lead to breaking other stuff.

Re: Adding Debian testing repositories to LMDE 2 (outdated, do not use)

Posted: Mon May 07, 2018 3:41 pm
by bustersid
waiting is my second name.

Thank u.